//**************************************************************************************
// Utilité : permet de déterminer si la partie est finie

// La partie est terminée si :      
  // 01-Un roi est constitué                 => roi=1
  // 02-S'il ne reste qu'un seul bâtiment    => finBat=1
  //                                         => finPartie=1


  
void detecterLaFinDePartie(){
  detecterPresenceRoi();
  detecterFinBat();
  if(roi==1 || finBat==1){finPartie=1;}
}

//============================================ Détecter présence d'un roi
void detecterPresenceRoi(){
  //----- On recherche s'il y a une valeur < presRoi (presRoi est la valeur de dégradation d'un bâtiment permettant la présence d'un roi)
  // Avec :
  // nbrCol               : nombre de colonnes de la grille
  // batimentsBase[x]     : états de dégradation des bâtiments [10:neuf ; 9-0:dégradés ; -1-20:robot ; -20--100:roi] 
  // seuilPresRoi              : valeur de dégradation à partir de laquelle il y a un roi
  for(int r=0;r<nbrCol;r++){
    if(batimentsBase[r]<=seuilPresRoi){roi=1;}
  }
}//##
  
  
//============================================ Détecter présence d'un roi
void detecterFinBat(){
  //----- On cherche à voir si la somme des états des bâtiments est égale à 10
  int sommeEtatBat=0;
  for(int r=0;r<nbrCol;r++){
    if(batimentsBase[r]>0){sommeEtatBat = sommeEtatBat + batimentsBase[r];}    // Si la valeur est positive:batiment et pas robot
  }
  if(sommeEtatBat <10){finBat=1;}
}//##
